<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'cards',

    /*
     * Modules.
     */
    'modules'   => ['card_offers', 
'card'],

    'card_offers'       => [
        'model' => [
            'model'                 => \Btravel\Cards\Models\CardOffers::class,
            'table'                 => 'card_offers',
            'presenter'             => \Btravel\Cards\Repositories\Presenter\CardOffersPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'name',  'description',  'image',  'slug',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'cards/card_offers',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Cards',
            'module'    => 'CardOffers',
        ],

    ],

    'card'       => [
        'model' => [
            'model'                 => \Btravel\Cards\Models\Card::class,
            'table'                 => 'cards',
            'presenter'             => \Btravel\Cards\Repositories\Presenter\CardPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'name',  'description',  'image',  'slug',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'cards/card',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Cards',
            'module'    => 'Card',
        ],

    ],
];
