Lavalite package that provides cards management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/cards`.

    "btravel/cards": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Cards\Providers\CardsServiceProvider::class,

And also add it to alias

    'Cards'  => Btravel\Cards\Facades\Cards::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\CardsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Cards\Providers\CardsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Cards\Providers\CardsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Cards\Providers\CardsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/cards/{modulename}

**User**

    http://path-to-route-folder/user/cards/{modulename}

**Public**

    http://path-to-route-folder/cards


### API endpoints

**List**

    http://path-to-route-folder/api/user/cards/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/cards/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/cards/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/cards/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/cards/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/cards/{modulename}/{slug}
    METHOD: GET