Lavalite package that provides card management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/card`.

    "btravel/card": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Card\Providers\CardServiceProvider::class,

And also add it to alias

    'Card'  => Btravel\Card\Facades\Card::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\CardTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Card\Providers\CardServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Card\Providers\CardServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Card\Providers\CardServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/card/{modulename}

**User**

    http://path-to-route-folder/user/card/{modulename}

**Public**

    http://path-to-route-folder/cards


### API endpoints

**List**

    http://path-to-route-folder/api/user/card/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/card/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/card/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/card/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/card/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/card/{modulename}/{slug}
    METHOD: GET