<?php

namespace Btravel\Card;

use User;

class Card
{
    /**
     * $card_offers object.
     */
    protected $card_offers;    /**
     * $card object.
     */
    protected $card;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Card\Interfaces\CardOffersRepositoryInterface $card_offers,        \Btravel\Card\Interfaces\CardRepositoryInterface $card)
    {
        $this->card_offers = $card_offers;        $this->card = $card;
    }

    /**
     * Returns count of card.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.card_offers.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->card_offers->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\CardOffersUserCriteria());
        }

        $card_offers = $this->card_offers->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('card::' . $view, compact('card_offers'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.card.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->card->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\CardUserCriteria());
        }

        $card = $this->card->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('card::' . $view, compact('card'))->render();
    }
}
