<?php

namespace Btravel\Cards\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Cards\Interfaces\CardOffersRepositoryInterface;

class CardOffersPublicController extends BaseController
{
    // use CardOffersWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\CardOffers\Interfaces\CardOffersRepositoryInterface $card_offers
     *
     * @return type
     */
    public function __construct(CardOffersRepositoryInterface $card_offers)
    {
        $this->repository = $card_offers;
        parent::__construct();
    }

    /**
     * Show card_offers's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $card_offers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('cards::card_offers.names'))
            ->view('cards::public.card_offers.index')
            ->data(compact('card_offers'))
            ->output();
    }


    /**
     * Show card_offers.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $card_offers = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($card_offers->name . trans('cards::card_offers.name'))
            ->view('cards::public.card_offers.show')
            ->data(compact('card_offers'))
            ->output();
    }

}
