<?php

namespace Btravel\Cards\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CardOffers policy
        'Btravel\Cards\Models\CardOffers' => \Btravel\Cards\Policies\CardOffersPolicy::class,
// Bind Card policy
        'Btravel\Cards\Models\Card' => \Btravel\Cards\Policies\CardPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
