<?php

namespace Btravel\Cards\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CardOffersTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Cards\Models\CardOffers $card_offers)
    {
        return [
            'id'                => $card_offers->getRouteKey(),
            'key'               => [
                'public'    => $card_offers->getPublicKey(),
                'route'     => $card_offers->getRouteKey(),
            ], 
            'parent_id'         => $card_offers->parent_id,
            'name'              => $card_offers->name,
            'description'       => $card_offers->description,
            'image'             => $card_offers->image,
            'slug'              => $card_offers->slug,
            'deleted_at'        => $card_offers->deleted_at,
            'url'               => [
                'public'    => trans_url('cards/'.$card_offers->getPublicKey()),
                'user'      => guard_url('cards/card_offers/'.$card_offers->getRouteKey()),
            ], 
            'status'            => trans('app.'.$card_offers->status),
            'created_at'        => format_date($card_offers->created_at),
            'updated_at'        => format_date($card_offers->updated_at),
        ];
    }
}